package org.objectweb.kilim.description;

import org.objectweb.kilim.KilimException;

/**
 * @author horn
 */
public class TpGetter extends TpAccessor {	
	private Object resultValue;	
	
	/**
	 * Tje public constructor for getter description.
	 * @param aSupport : the element on which the accessor will be applied.
	 * @param aField : name of the field to be accessed.
	 * @param jsStatic : true if the accessor is static.
	 * @param aTemplate : the template in which the accessor isz defined.
	 * @throws KilimException : generated if template is null.
	 */
	public TpGetter(BasicElement aSupport, String aField, boolean jsStatic, TemplateDescription aTemplate) throws KilimException {
		super(aSupport, aField, jsStatic, true, false, aTemplate);
	}
	
	/**
	 * @see org.objectweb.kilim.description.BasicElement#getKind()
	 */
	public int getKind() {
		return KILIM.GETTER;
	}
}
