/**
 * Copyright (C) 2002 Kelua SA
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package org.objectweb.kilim.repository;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Copyright Kelua 2002. All rights reserved
 * @author horn
 */
public class AllTests {

   /**
    * Returns the suite
    * @return the TestSuite
    */
   public static Test suite() {
      TestSuite suite = new TestSuite("Test for org.objectweb.kilim.repository.test");

      suite.addTestSuite(ClassLoaderResourceLoaderTest.class);
      suite.addTestSuite(TemplateParserTest.class);
      suite.addTestSuite(QuotesWireTests.class);
      suite.addTestSuite(MonoFeatureTests.class);
      suite.addTestSuite(WritersTest.class);
      suite.addTestSuite(DynamicityTests.class);
      suite.addTestSuite(ViewerTests.class);

      return suite;
   }
}
